import 'package:json_annotation/json_annotation.dart';

part 'authorization.g.dart';

@JsonSerializable()
class CreateAuthorizationRequest {
  @JsonValue('location_id')
  final String locationId;

  CreateAuthorizationRequest({this.locationId});

  factory CreateAuthorizationRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateAuthorizationRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CreateAuthorizationRequestToJson(this);
}
