import 'package:json_annotation/json_annotation.dart';

part 'authorize.g.dart';

@JsonSerializable()
class AuthorizeResponse {
  @JsonValue('response_type')
  final String responseType;
  final String code;
  @JsonValue('access_token')
  final String accessToken;
  @JsonValue('merchant_id')
  final String merchantId;
  @JsonValue('plan_id')
  final String planId;
  @JsonValue('subscription_id')
  final String subscriptionId;
  final String state;
  final String error;
  @JsonValue('error_description')
  final String errorDescription;

  AuthorizeResponse(
      {this.responseType,
      this.code,
      this.accessToken,
      this.merchantId,
      this.planId,
      this.subscriptionId,
      this.state,
      this.error,
      this.errorDescription});

  factory AuthorizeResponse.fromJson(Map<String, dynamic> json) =>
      _$AuthorizeResponseFromJson(json);
  Map<String, dynamic> toJson() => _$AuthorizeResponseToJson(this);
}
