import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'batch_upsert.g.dart';

@JsonSerializable()
class BatchUpsertRequest {
  @JsonValue('idempotency_key')
  final String idempotencyKey;
  List<CatalogObjectBatch> batches;

  BatchUpsertRequest(this.idempotencyKey, {this.batches});

  factory BatchUpsertRequest.fromJson(Map<String, dynamic> json) =>
      _$BatchUpsertRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BatchUpsertRequestToJson(this);
}
