import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'upsert.g.dart';

@JsonSerializable()
class UpsertCatalogRequest {
  @JsonValue('idempotency_key')
  final String idempotencyKey;
  CatalogObject object;

  UpsertCatalogRequest(this.idempotencyKey, this.object);

  factory UpsertCatalogRequest.fromJson(Map<String, dynamic> json) =>
      _$UpsertCatalogRequestFromJson(json);
  Map<String, dynamic> toJson() => _$UpsertCatalogRequestToJson(this);
}
