import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'delete.g.dart';

@JsonSerializable()
class DeleteCatalogResponse {
  final List<SquareError> errors;
  @JsonValue('deleted_object_ids')
  final List<String> deletedObjectIds;
  @JsonValue('deleted_at')
  final String deletedAt;

  DeleteCatalogResponse({this.errors, this.deletedObjectIds, this.deletedAt});

  factory DeleteCatalogResponse.fromJson(Map<String, dynamic> json) =>
      _$DeleteCatalogResponseFromJson(json);
  Map<String, dynamic> toJson() => _$DeleteCatalogResponseToJson(this);
}
