import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'list.g.dart';

@JsonSerializable()
class ListCatalogResponse {
  final List<SquareError> errors;
  final String cursor;
  final List<CatalogObject> objects;

  ListCatalogResponse({this.errors, this.cursor, this.objects});

  factory ListCatalogResponse.fromJson(Map<String, dynamic> json) =>
      _$ListCatalogResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ListCatalogResponseToJson(this);
}
