import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create.g.dart';

@JsonSerializable()
class CreateCheckoutResponse {
  final Checkout checkout;
  final List<SquareError> errors;

  CreateCheckoutResponse({this.checkout, this.errors});

  factory CreateCheckoutResponse.fromJson(Map<String, dynamic> json) =>
      _$CreateCheckoutResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCheckoutResponseToJson(this);
}
