import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create_card.g.dart';

@JsonSerializable()
class CreateCustomerCardRequest {
  final String nonce;
  @JsonValue('billing_address')
  Address billingAddress;
  @JsonValue('cardholder_name')
  String cardholderName;

  CreateCustomerCardRequest(this.nonce,
      {this.billingAddress, this.cardholderName});

  factory CreateCustomerCardRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateCustomerCardRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCustomerCardRequestToJson(this);
}
