import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'search.g.dart';

@JsonSerializable()
class SearchCustomersRequest {
  String cursor;
  int limit;
  CustomerQuery query;

  SearchCustomersRequest({this.cursor, this.limit, this.query});

  factory SearchCustomersRequest.fromJson(Map<String, dynamic> json) =>
      _$SearchCustomersRequestFromJson(json);
  Map<String, dynamic> toJson() => _$SearchCustomersRequestToJson(this);
}
