import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'delete_card.g.dart';

@JsonSerializable()
class DeleteCustomerCardResponse {
  final List<SquareError> errors;

  DeleteCustomerCardResponse({this.errors});

  factory DeleteCustomerCardResponse.fromJson(Map<String, dynamic> json) =>
      _$DeleteCustomerCardResponseFromJson(json);
  Map<String, dynamic> toJson() => _$DeleteCustomerCardResponseToJson(this);
}
