import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'list.g.dart';

@JsonSerializable()
class ListCustomersResponse {
  final List<SquareError> errors;
  final List<Customer> customers;
  final String cursor;

  ListCustomersResponse({this.errors, this.customers, this.cursor});

  factory ListCustomersResponse.fromJson(Map<String, dynamic> json) =>
      _$ListCustomersResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ListCustomersResponseToJson(this);
}
