import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'retrieve.g.dart';

@JsonSerializable()
class RetrieveCustomerResponse {
  final List<SquareError> errors;
  final Customer customer;

  RetrieveCustomerResponse({this.errors, this.customer});

  factory RetrieveCustomerResponse.fromJson(Map<String, dynamic> json) =>
      _$RetrieveCustomerResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RetrieveCustomerResponseToJson(this);
}
