import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'search.g.dart';

@JsonSerializable()
class SearchCustomersResponse {
  final List<SquareError> errors;
  final List<Customer> customers;
  final String cursor;

  SearchCustomersResponse({this.errors, this.customers, this.cursor});

  factory SearchCustomersResponse.fromJson(Map<String, dynamic> json) =>
      _$SearchCustomersResponseFromJson(json);
  Map<String, dynamic> toJson() => _$SearchCustomersResponseToJson(this);
}
