import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'update.g.dart';

@JsonSerializable()
class UpdateCustomerResponse {
  final List<SquareError> errors;
  final Customer customer;

  UpdateCustomerResponse({this.errors, this.customer});

  factory UpdateCustomerResponse.fromJson(Map<String, dynamic> json) =>
      _$UpdateCustomerResponseFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateCustomerResponseToJson(this);
}
