import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'batch_change.g.dart';

@JsonSerializable()
class BatchChangeInventoryRequest {
  @JsonValue('idempotency_key')
  String idempotencyKey;
  List<InventoryChange> changes;
  @JsonValue('ignore_unchanged_counts')
  bool ignoreUnchangedCounts;

  BatchChangeInventoryRequest(
      {this.idempotencyKey, this.changes, this.ignoreUnchangedCounts});

  factory BatchChangeInventoryRequest.fromJson(Map<String, dynamic> json) =>
      _$BatchChangeInventoryRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BatchChangeInventoryRequestToJson(this);
}
