import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'batch_change.g.dart';

@JsonSerializable()
class BatchChangeInventoryResponse {
  final List<SquareError> errors;
  final List<InventoryCount> counts;

  BatchChangeInventoryResponse({this.errors, this.counts});

  factory BatchChangeInventoryResponse.fromJson(Map<String, dynamic> json) =>
      _$BatchChangeInventoryResponseFromJson(json);
  Map<String, dynamic> toJson() => _$BatchChangeInventoryResponseToJson(this);
}
