import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'batch_retrieve_counts.g.dart';

@JsonSerializable()
class BatchRetrieveCountsResponse {
  final List<SquareError> errors;
  final List<InventoryCount> counts;
  final String cursor;

  BatchRetrieveCountsResponse({this.errors, this.counts, this.cursor});

  factory BatchRetrieveCountsResponse.fromJson(Map<String, dynamic> json) =>
      _$BatchRetrieveCountsResponseFromJson(json);
  Map<String, dynamic> toJson() => _$BatchRetrieveCountsResponseToJson(this);
}
