import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'retrieve_adjustments.g.dart';

@JsonSerializable()
class RetrieveAdjustmentsResponse {
  final List<SquareError> errors;
  final InventoryAdjustment adjustment;

  RetrieveAdjustmentsResponse({this.errors, this.adjustment});

  factory RetrieveAdjustmentsResponse.fromJson(Map<String, dynamic> json) =>
      _$RetrieveAdjustmentsResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RetrieveAdjustmentsResponseToJson(this);
}
