import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'retrieve_counts.g.dart';

@JsonSerializable()
class RetrieveCountResponse {
  final List<SquareError> errors;
  final List<InventoryCount> counts;
  final String cursor;

  RetrieveCountResponse({this.errors, this.counts, this.cursor});

  factory RetrieveCountResponse.fromJson(Map<String, dynamic> json) =>
      _$RetrieveCountResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RetrieveCountResponseToJson(this);
}
