import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'list.g.dart';

@JsonSerializable()
class ListLocationsResponse {
  final List<SquareError> errors;
  final List<Location> locations;

  ListLocationsResponse({this.errors, this.locations});

  factory ListLocationsResponse.fromJson(Map<String, dynamic> json) =>
      _$ListLocationsResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ListLocationsResponseToJson(this);
}
