import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create_refund.g.dart';

@JsonSerializable()
class CreateRefundResponse {
  final List<SquareError> errors;
  final Refund refund;

  CreateRefundResponse({this.errors, this.refund});

  factory CreateRefundResponse.fromJson(Map<String, dynamic> json) =>
      _$CreateRefundResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CreateRefundResponseToJson(this);
}
