import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'request_discount.g.dart';

@JsonSerializable()
class RequestDiscount {
  @JsonValue('catalog_object_id')
  String catalogObjectId;
  String name;
  String percentage;
  @JsonValue('amount_money')
  Money amountMoney;

  RequestDiscount(
      {this.catalogObjectId, this.name, this.percentage, this.amountMoney});

  factory RequestDiscount.fromJson(Map<String, dynamic> json) =>
      _$RequestDiscountFromJson(json);
  Map<String, dynamic> toJson() => _$RequestDiscountToJson(this);
}
