import 'package:json_annotation/json_annotation.dart';

part 'request_tax.g.dart';

@JsonSerializable()
class RequestTax {
  @JsonValue('catalog_object_id')
  String catalogObjectId;
  String name;
  String type;
  String percentage;

  RequestTax({this.catalogObjectId, this.name, this.type, this.percentage});

  factory RequestTax.fromJson(Map<String, dynamic> json) =>
      _$RequestTaxFromJson(json);
  Map<String, dynamic> toJson() => _$RequestTaxToJson(this);
}
