import 'package:json_annotation/json_annotation.dart';

part 'preferences.g.dart';

@JsonSerializable()
class CustomerPreferences {
  @JsonValue('email_unsubscribed')
  final bool emailUnsubscribed;

  CustomerPreferences({this.emailUnsubscribed});

  factory CustomerPreferences.fromJson(Map<String, dynamic> json) =>
      _$CustomerPreferencesFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerPreferencesToJson(this);
}
