import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'query.g.dart';

@JsonSerializable()
class CustomerQuery {
  final CustomerFilter filter;
  final CustomerSort sort;

  CustomerQuery({this.filter, this.sort});

  factory CustomerQuery.fromJson(Map<String, dynamic> json) =>
      _$CustomerQueryFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerQueryToJson(this);
}
