import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'change.g.dart';

@JsonSerializable()
class InventoryChange {
  final String type;
  @JsonValue('physical_count')
  final InventoryPhysicalCount physicalCount;
  final InventoryAdjustment adjustment;
  final InventoryTransfer transfer;

  InventoryChange(
      {this.type, this.physicalCount, this.adjustment, this.transfer});

  factory InventoryChange.fromJson(Map<String, dynamic> json) =>
      _$InventoryChangeFromJson(json);
  Map<String, dynamic> toJson() => _$InventoryChangeToJson(this);
}
