import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'discount.g.dart';

@JsonSerializable()
class CreateOrderRequestDiscount {
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  final String name;
  final String percentage;
  @JsonValue('amount_money')
  final Money amount;

  CreateOrderRequestDiscount(
      {this.catalogObjectId, this.name, this.percentage, this.amount});

  factory CreateOrderRequestDiscount.fromJson(Map<String, dynamic> json) =>
      _$CreateOrderRequestDiscountFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOrderRequestDiscountToJson(this);
}
