import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'modifier.g.dart';

@JsonSerializable()
class CreateOrderRequestModifier {
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  final String name;
  @JsonValue('base_price_money')
  final Money basePrice;

  CreateOrderRequestModifier({this.catalogObjectId, this.name, this.basePrice});

  factory CreateOrderRequestModifier.fromJson(Map<String, dynamic> json) =>
      _$CreateOrderRequestModifierFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOrderRequestModifierToJson(this);
}
