import 'package:json_annotation/json_annotation.dart';

part 'time_range.g.dart';

@JsonSerializable()
class TimeRange {
  final String startAt;
  final String endAt;

  TimeRange({this.startAt, this.endAt});

  factory TimeRange.fromJson(Map<String, dynamic> json) =>
      _$TimeRangeFromJson(json);
  Map<String, dynamic> toJson() => _$TimeRangeToJson(this);
}
