import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';
import 'package:reflutter/reflutter.dart';
import 'requests/requests.dart';
import 'responses/responses.dart';

export 'requests/requests.dart';
export 'responses/responses.dart';

part 'mobileauth.api.dart';

@ReflutterHttp(name: 'SquareMobileAuth')
abstract class _SquareMobileAuthEndpoint {
  @Post('/mobile/authorization-code')
  Future<ReflutterResponse<CreateAuthorizationResponse>> createCode(
      @Body() CreateAuthorizationRequest req);
}
