import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'register.g.dart';

@JsonSerializable()
class RegisterDomainResponse {
  final List<SquareError> errors;
  final String status;

  RegisterDomainResponse({this.errors, this.status});

  factory RegisterDomainResponse.fromJson(Map<String, dynamic> json) =>
      _$RegisterDomainResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RegisterDomainResponseToJson(this);
}
