import 'package:json_annotation/json_annotation.dart';

part 'batch_delete.g.dart';

@JsonSerializable()
class BatchDeleteRequest {
  @JsonValue('object_ids')
  List<String> objectIds;

  BatchDeleteRequest({this.objectIds});

  factory BatchDeleteRequest.fromJson(Map<String, dynamic> json) =>
      _$BatchDeleteRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BatchDeleteRequestToJson(this);
}
