import 'package:json_annotation/json_annotation.dart';

part 'batch_retrieve.g.dart';

@JsonSerializable()
class BatchRetrieveRequest {
  @JsonValue('object_ids')
  final List<String> objectIds;
  @JsonValue('include_related_objects')
  bool includeRelatedObjects;

  BatchRetrieveRequest(this.objectIds, {this.includeRelatedObjects});

  factory BatchRetrieveRequest.fromJson(Map<String, dynamic> json) =>
      _$BatchRetrieveRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BatchRetrieveRequestToJson(this);
}
