import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'cataloginfo.g.dart';

@JsonSerializable()
class CatalogInfoResponse {
  final List<SquareError> errors;
  final CatalogInfoResponseLimits limits;

  CatalogInfoResponse({this.errors, this.limits});

  factory CatalogInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$CatalogInfoResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CatalogInfoResponseToJson(this);
}
