import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create.g.dart';

@JsonSerializable()
class CreateCustomerResponse {
  final List<SquareError> errors;
  final Customer customer;

  CreateCustomerResponse({this.errors, this.customer});

  factory CreateCustomerResponse.fromJson(Map<String, dynamic> json) =>
      _$CreateCustomerResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCustomerResponseToJson(this);
}
