import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'create_card.g.dart';

@JsonSerializable()
class CreateCustomerCardResponse {
  final List<SquareError> errors;
  final Card card;

  CreateCustomerCardResponse({this.errors, this.card});

  factory CreateCustomerCardResponse.fromJson(Map<String, dynamic> json) =>
      _$CreateCustomerCardResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CreateCustomerCardResponseToJson(this);
}
