import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'delete.g.dart';

@JsonSerializable()
class DeleteCustomerResponse {
  final List<SquareError> errors;

  DeleteCustomerResponse({this.errors});

  factory DeleteCustomerResponse.fromJson(Map<String, dynamic> json) =>
      _$DeleteCustomerResponseFromJson(json);
  Map<String, dynamic> toJson() => _$DeleteCustomerResponseToJson(this);
}
