import 'package:json_annotation/json_annotation.dart';

part 'retrieve_counts.g.dart';

@JsonSerializable()
class BatchRetrieveCountsRequest {
  @JsonValue('catalog_object_ids')
  List<String> catalogObjectIds;
  @JsonValue('location_ids')
  List<String> locationIds;
  @JsonValue('updated_after')
  String updatedAfter;
  String cursor;

  BatchRetrieveCountsRequest(
      {this.catalogObjectIds,
      this.locationIds,
      this.updatedAfter,
      this.cursor});

  factory BatchRetrieveCountsRequest.fromJson(Map<String, dynamic> json) =>
      _$BatchRetrieveCountsRequestFromJson(json);
  Map<String, dynamic> toJson() => _$BatchRetrieveCountsRequestToJson(this);
}
