import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'batch_retrieve_changes.g.dart';

@JsonSerializable()
class BatchRetrieveChangesResponse {
  final List<SquareError> errors;
  final List<InventoryChange> changes;
  final String cursor;

  BatchRetrieveChangesResponse({this.errors, this.changes, this.cursor});

  factory BatchRetrieveChangesResponse.fromJson(Map<String, dynamic> json) =>
      _$BatchRetrieveChangesResponseFromJson(json);
  Map<String, dynamic> toJson() => _$BatchRetrieveChangesResponseToJson(this);
}
