import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'retrieve_changes.g.dart';

@JsonSerializable()
class RetrieveChangesResponse {
  final List<SquareError> errors;
  final List<InventoryChange> changes;
  final String cursor;

  RetrieveChangesResponse({this.errors, this.changes, this.cursor});

  factory RetrieveChangesResponse.fromJson(Map<String, dynamic> json) =>
      _$RetrieveChangesResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RetrieveChangesResponseToJson(this);
}
