import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'retrieve_physical_counts.g.dart';

@JsonSerializable()
class RetrievePhysicalCountResponse {
  final List<SquareError> errors;
  final InventoryPhysicalCount count;

  RetrievePhysicalCountResponse({this.errors, this.count});

  factory RetrievePhysicalCountResponse.fromJson(Map<String, dynamic> json) =>
      _$RetrievePhysicalCountResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RetrievePhysicalCountResponseToJson(this);
}
