import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'list_refund.g.dart';

@JsonSerializable()
class ListRefundResponse {
  final List<SquareError> errors;
  final List<Refund> refunds;
  final String cursor;

  ListRefundResponse({this.errors, this.refunds, this.cursor});

  factory ListRefundResponse.fromJson(Map<String, dynamic> json) =>
      _$ListRefundResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ListRefundResponseToJson(this);
}
