import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'additional_recipient.g.dart';

@JsonSerializable()
class ChargeRequestAdditionalRecipient {
  @JsonValue('location_id')
  String locationId;
  String description;
  @JsonValue('amount_money')
  Money amountMoney;

  ChargeRequestAdditionalRecipient(
      {this.locationId, this.description, this.amountMoney});

  factory ChargeRequestAdditionalRecipient.fromJson(
          Map<String, dynamic> json) =>
      _$ChargeRequestAdditionalRecipientFromJson(json);
  Map<String, dynamic> toJson() =>
      _$ChargeRequestAdditionalRecipientToJson(this);
}
