import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'request_modifier.g.dart';

@JsonSerializable()
class RequestModifier {
  @JsonValue('catalog_object_id')
  String catalogObjectId;
  String name;
  @JsonValue('base_price_money')
  Money basePriceMoney;

  RequestModifier({this.catalogObjectId, this.name, this.basePriceMoney});

  factory RequestModifier.fromJson(Map<String, dynamic> json) =>
      _$RequestModifierFromJson(json);
  Map<String, dynamic> toJson() => _$RequestModifierToJson(this);
}
