import 'package:json_annotation/json_annotation.dart';

part 'creation_filter.g.dart';

@JsonSerializable()
class CustomerCreationSourceFilter {
  final List<String> values;
  final String rule;

  CustomerCreationSourceFilter({this.values, this.rule});

  factory CustomerCreationSourceFilter.fromJson(Map<String, dynamic> json) =>
      _$CustomerCreationSourceFilterFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerCreationSourceFilterToJson(this);
}
