import 'package:json_annotation/json_annotation.dart';
import 'package:squareapi/squareapi.dart';

part 'filter.g.dart';

@JsonSerializable()
class CustomerFilter {
  @JsonValue('creation_source')
  final CustomerCreationSourceFilter creationSource;
  @JsonValue('created_at')
  final TimeRange createdAt;
  @JsonValue('updated_at')
  final TimeRange updatedAt;

  CustomerFilter({this.creationSource, this.createdAt, this.updatedAt});

  factory CustomerFilter.fromJson(Map<String, dynamic> json) =>
      _$CustomerFilterFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerFilterToJson(this);
}
