import 'package:json_annotation/json_annotation.dart';

part 'group_info.g.dart';

@JsonSerializable()
class CustomerGroupInfo {
  final String id;
  final String name;

  CustomerGroupInfo({this.id, this.name});

  factory CustomerGroupInfo.fromJson(Map<String, dynamic> json) =>
      _$CustomerGroupInfoFromJson(json);
  Map<String, dynamic> toJson() => _$CustomerGroupInfoToJson(this);
}
