import 'package:json_annotation/json_annotation.dart';

part 'count.g.dart';

@JsonSerializable()
class InventoryCount {
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  @JsonValue('catalog_object_type')
  final String catalogObjectType;
  final String state;
  @JsonValue('location_id')
  final String locationId;
  final String quantity;
  @JsonValue('calculated_at')
  final String calculatedAt;

  InventoryCount(
      {this.catalogObjectId,
      this.catalogObjectType,
      this.state,
      this.locationId,
      this.quantity,
      this.calculatedAt});

  factory InventoryCount.fromJson(Map<String, dynamic> json) =>
      _$InventoryCountFromJson(json);
  Map<String, dynamic> toJson() => _$InventoryCountToJson(this);
}
