import 'package:json_annotation/json_annotation.dart';

part 'source_application.g.dart';

@JsonSerializable()
class SourceApplication {
  final String product;
  @JsonValue('application_id')
  final String applicationId;
  final String name;

  SourceApplication({this.product, this.applicationId, this.name});

  factory SourceApplication.fromJson(Map<String, dynamic> json) =>
      _$SourceApplicationFromJson(json);
  Map<String, dynamic> toJson() => _$SourceApplicationToJson(this);
}
