import 'package:json_annotation/json_annotation.dart';

part 'tax.g.dart';

@JsonSerializable()
class CreateOrderRequestTax {
  @JsonValue('catalog_object_id')
  final String catalogObjectId;
  final String name;
  final String type;
  final String percentage;

  CreateOrderRequestTax(
      {this.catalogObjectId, this.name, this.type, this.percentage});

  factory CreateOrderRequestTax.fromJson(Map<String, dynamic> json) =>
      _$CreateOrderRequestTaxFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOrderRequestTaxToJson(this);
}
